View Issue Details

IDProjectCategoryView StatusLast Update
0005581GNUnettestbed servicepublic2019-07-24 20:42
ReporterschanzenAssigned Toschanzen 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.6Fixed in Version0.11.6 
Summary0005581: Cadet tests fail hard on macOS (TESTBED issue)
DescriptionFor some reson, make check exits (!) in the second test
Steps To Reproducemake check in src/cadet on macos
Additional InformationOutput:
PASS: test_cadet_local_mq
make[2]: *** Deleting file `test_cadet_2_forward.log'
make[2]: *** [test_cadet_2_forward.log] Terminated: 15
make[1]: *** [check-TESTS] Terminated: 15
make: *** [check-am] Terminated: 15
fish: 'make check' terminated by signal SIGTERM (Polite quit request)

Just ./test_cadet_2_forward:
Feb 16 22:24:51-618163 test-4483 DEBUG DIRECT CONNECTIONs
Feb 16 22:24:51-618803 test-4483 DEBUG FORWARD
Feb 16 22:24:51-674980 test_cadet_small-4483 ERROR Controller crash detected. Shutting down.
Feb 16 22:24:51-677314 test_cadet_small-4483 ERROR FAILED! (0/4)
TagsNo tags attached.

Activities

schanzen

2019-02-17 22:50

developer   ~0013856

A backtrace using lldb:

* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGTERM
  * frame #0: 0x00007fff6142d5aa libsystem_kernel.dylib`__select + 10
    frame #1: 0x0000000100137d02 libgnunetutil.13.dylib`GNUNET_NETWORK_socket_select(rfds=0x0000000100506650, wfds=0x00000001005066e0, efds=0x0000000000000000, timeout=(rel_value_us = 7995)) at network.c:1809
    frame #2: 0x0000000100149bfb libgnunetutil.13.dylib`select_loop(sh=0x0000000101800890, context=0x00007ffeefbfeff8) at scheduler.c:2321
    frame #3: 0x00000001001491ae libgnunetutil.13.dylib`GNUNET_SCHEDULER_run(task=(libgnunetutil.13.dylib`program_main at program.c:88), task_cls=0x00007ffeefbff198) at scheduler.c:727
    frame #4: 0x0000000100141455 libgnunetutil.13.dylib`GNUNET_PROGRAM_run2(argc=3, argv=0x00007ffeefbff470, binaryName="test_cadet_small", binaryHelp="nohelp", options=0x00007ffeefbff430, task=(libgnunettestbed.0.dylib`run at testbed_api_test.c:79), task_cls=0x00000001005056c0, run_without_scheduler=0) at program.c:372
    frame #5: 0x00000001001417aa libgnunetutil.13.dylib`GNUNET_PROGRAM_run(argc=3, argv=0x00007ffeefbff470, binaryName="test_cadet_small", binaryHelp="nohelp", options=0x00007ffeefbff430, task=(libgnunettestbed.0.dylib`run at testbed_api_test.c:79), task_cls=0x00000001005056c0) at program.c:415
    frame #6: 0x00000001001ee589 libgnunettestbed.0.dylib`GNUNET_TESTBED_test_run(testname="test_cadet_small", cfg_filename="test_cadet.conf", num_peers=2, event_mask=0, cc=0x0000000000000000, cc_cls=0x0000000000000000, test_master=(test_cadet_2_forward`cadet_test_run at cadet_test_lib.c:274), test_master_cls=0x00000001006002e0) at testbed_api_test.c:154
    frame #7: 0x0000000100005a71 test_cadet_2_forward`GNUNET_CADET_TEST_ruN(testname="test_cadet_small", cfgfile="test_cadet.conf", num_peers=2, tmain=(test_cadet_2_forward`tmain at test_cadet.c:1116), tmain_cls=0x0000000000000000, connects=(test_cadet_2_forward`connect_handler at test_cadet.c:919), window_changes=0x0000000000000000, disconnects=(test_cadet_2_forward`disconnect_handler at test_cadet.c:574), handlers=0x00007ffeefbff760, ports=0x0000000100007320) at cadet_test_lib.c:367
    frame #8: 0x0000000100002375 test_cadet_2_forward`main(argc=1, argv=0x00007ffeefbff7f8) at test_cadet.c:1299
    frame #9: 0x00007fff612eced9 libdyld.dylib`start + 1
    frame #10: 0x00007fff612eced9 libdyld.dylib`start + 1

schanzen

2019-02-18 22:39

developer   ~0013862

After investigation, this is a testbed problem. I have no idea about testbed.

schanzen

2019-02-18 22:40

developer   ~0013863

Testbed tests also fail with a similar stacktrace

Christian Grothoff

2019-02-19 00:54

manager   ~0013864

Could it be that the signal handler for SIGTERM is somehow not working? I mean, it looks all normal and like the code should continue here, instead of die. No GNUnet process should ever die like this on SIGTERM, as we have a handler for that signal.

BUT, maybe the signal handler doesn't get installed "properly". There are signal handler options that are "one shot", where the signal handler is installed but then only catches the signal ONCE and is afterwards replaced by the default handler. That is not sufficient for GNUnet, but might seem to work in most cases. So I would start by reading OSX signal handler installation and compare that with what we do to install the signal handler (in util for SIGTERM).

schanzen

2019-02-19 08:16

developer   ~0013866

Wouldn't that affect other parts of GNUnet besides testbed?

schanzen

2019-02-19 08:31

developer   ~0013867

Could it be this? https://linux.die.net/man/2/sigprocmask we just unset this I think.

schanzen

2019-02-19 08:33

developer   ~0013868

https://stackoverflow.com/questions/30516158/handling-sigterm-in-osx

schanzen

2019-02-19 08:52

developer   ~0013869

According to the docs, select does not work with SA_RESTART, both macos and linux:

https://stackoverflow.com/questions/44022783/sa-restart-seems-to-have-no-effect-on-select
https://developer.apple.com/library/archive/documentation/System/Conceptual/ManPages_iPhoneOS/man2/sigaction.2.html (crtl-f select)
http://man7.org/linux/man-pages/man7/signal.7.html (ctrl-f select)

So it is not surprising that if a SIGNTERM happens, our signal handler does not work as expected.

Christian Grothoff

2019-02-19 11:07

manager   ~0013875

Eh, you are reading that man page wrong. EINTR is indeed always possible, but that is acceptable for GNUnet.
The issue you see on MacOS is not that select() returns an errno of EINTR, but that the process is killed by the signal.
That happens if no signal handler is installed at all.

Christian Grothoff

2019-02-19 11:10

manager   ~0013876

Oh, and while we do set SA_RESTART, that's just a "nice to have" thing, the code we have _must_ be written to work without it.

Christian Grothoff

2019-02-19 11:15

manager   ~0013877

I cannot find any manipulation of sigprocmask in GNUnet, and we also should not touch it.

Christian Grothoff

2019-02-19 11:17

manager   ~0013878

I would start by adding some logging to see if/when GNUNET_SIGNAL_handler_install()/uninstall() are called here. I've read the man page you quoted, and it suggests to me that we're doing the right thing in SIGNAL_handler_install(). But something very strange is going on here if SIGTERM can kill us like that (and that's how I read your stack trace: the process dies hard on the signal).

schanzen

2019-02-19 12:34

developer   ~0013879

Process 46748 launched: '/.libs/test_testbed_api' (x86_64)
Feb 19 12:30:35-761920 test_testbed_api-46748 ERROR Installing signal handler 2
Feb 19 12:30:35-763099 test_testbed_api-46748 ERROR Installing signal handler 15
Feb 19 12:30:35-763110 test_testbed_api-46748 ERROR Installing signal handler 13
Feb 19 12:30:35-763115 test_testbed_api-46748 ERROR Installing signal handler 3
Feb 19 12:30:35-763120 test_testbed_api-46748 ERROR Installing signal handler 1
2019-02-19 12:30:35.776123+0100 gnunet-helper-testbed[46751:11590208] [si_destination_compare] send failed: Invalid argument
2019-02-19 12:30:35.776369+0100 gnunet-helper-testbed[46751:11590208] [si_destination_compare] send failed: Undefined error: 0
2019-02-19 12:30:35.776390+0100 gnunet-helper-testbed[46751:11590208] [si_destination_compare] send failed: Invalid argument
Feb 19 12:30:35-793863 testbed-46752 ERROR Installing signal handler 2
Feb 19 12:30:35-794534 testbed-46752 ERROR Installing signal handler 15
Feb 19 12:30:35-794543 testbed-46752 ERROR Installing signal handler 13
Feb 19 12:30:35-794549 testbed-46752 ERROR Installing signal handler 3
Feb 19 12:30:35-794555 testbed-46752 ERROR Installing signal handler 1
Feb 19 12:30:35-796272 gnunet-helper-testbed-46751 ERROR Uninstalling signal handler 2
Feb 19 12:30:35-796630 gnunet-helper-testbed-46751 ERROR Uninstalling signal handler 15
Feb 19 12:30:35-796641 gnunet-helper-testbed-46751 ERROR Uninstalling signal handler 13
Feb 19 12:30:35-796649 gnunet-helper-testbed-46751 ERROR Uninstalling signal handler 3
Feb 19 12:30:35-796656 gnunet-helper-testbed-46751 ERROR Uninstalling signal handler 1
Feb 19 12:30:35-797028 gnunet-helper-testbed-46751 ERROR Uninstalling signal handler 20
Process 46748 stopped

(SIGTERM is 15)

schanzen

2019-02-19 12:39

developer   ~0013880

Last edited: 2019-02-19 12:40

View 2 revisions

Funny: I see the uninstallation of handler 20 (SIGCHLD) but not installation.
This should happen before/after PROGRAM_run in gnunet-helper-testbed

Christian Grothoff

2019-02-19 12:48

manager   ~0013881

I'm confused, the process that is 'stopped' is 46748, the one that you show the signal handlers for is 46752. The log has nothing about SIGTERM being the cause of any process death, unlike your original report.

schanzen

2019-02-19 13:22

developer   ~0013882

Didn't copy everything:

Process 47983 launched: '.libs/test_testbed_api' (x86_64)
Feb 19 13:19:59-647777 test_testbed_api-47983 ERROR Installing signal handler 2
Feb 19 13:19:59-650432 test_testbed_api-47983 ERROR Installing signal handler 15
Feb 19 13:19:59-650461 test_testbed_api-47983 ERROR Installing signal handler 13
Feb 19 13:19:59-650477 test_testbed_api-47983 ERROR Installing signal handler 3
Feb 19 13:19:59-650491 test_testbed_api-47983 ERROR Installing signal handler 1
2019-02-19 13:19:59.680655+0100 gnunet-helper-testbed[47986:11821510] [si_destination_compare] send failed: Invalid argument
2019-02-19 13:19:59.680947+0100 gnunet-helper-testbed[47986:11821510] [si_destination_compare] send failed: Undefined error: 0
2019-02-19 13:19:59.680979+0100 gnunet-helper-testbed[47986:11821510] [si_destination_compare] send failed: Invalid argument
Feb 19 13:19:59-702497 testbed-47987 ERROR Installing signal handler 2
Feb 19 13:19:59-703232 testbed-47987 ERROR Installing signal handler 15
Feb 19 13:19:59-703240 testbed-47987 ERROR Installing signal handler 13
Feb 19 13:19:59-703245 testbed-47987 ERROR Installing signal handler 3
Feb 19 13:19:59-703250 testbed-47987 ERROR Installing signal handler 1
Feb 19 13:19:59-710784 test_testbed_api-47983 ERROR Encountered MQ error: 1
Feb 19 13:19:59-714427 gnunet-helper-testbed-47986 ERROR Uninstalling signal handler 2
Feb 19 13:19:59-714996 gnunet-helper-testbed-47986 ERROR Uninstalling signal handler 15
Feb 19 13:19:59-715014 gnunet-helper-testbed-47986 ERROR Uninstalling signal handler 13
Feb 19 13:19:59-715026 gnunet-helper-testbed-47986 ERROR Uninstalling signal handler 3
Feb 19 13:19:59-715037 gnunet-helper-testbed-47986 ERROR Uninstalling signal handler 1
Feb 19 13:19:59-715574 gnunet-helper-testbed-47986 ERROR Uninstalling signal handler 20
Process 47983 stopped
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGTERM
    frame #0: 0x00007fff6142d5aa libsystem_kernel.dylib`__select + 10
libsystem_kernel.dylib`__select:
-> 0x7fff6142d5aa <+10>: jae 0x7fff6142d5b4 ; <+20>
    0x7fff6142d5ac <+12>: movq %rax, %rdi
    0x7fff6142d5af <+15>: jmp 0x7fff61426381 ; cerror
    0x7fff6142d5b4 <+20>: retq
Target 0: (test_testbed_api) stopped.
(lldb) bt
* thread #1, queue = 'com.apple.main-thread', stop reason = signal SIGTERM
  * frame #0: 0x00007fff6142d5aa libsystem_kernel.dylib`__select + 10
    frame #1: 0x0000000100133bb2 libgnunetutil.13.dylib`GNUNET_NETWORK_socket_select(rfds=0x000000010050d560, wfds=0x000000010050d5f0, efds=0x0000000000000000, timeout=(rel_value_us = 299957035)) at network.c:1809
    frame #2: 0x0000000100145aab libgnunetutil.13.dylib`select_loop(sh=0x000000010050c660, context=0x00007ffeefbff368) at scheduler.c:2321
    frame #3: 0x000000010014505e libgnunetutil.13.dylib`GNUNET_SCHEDULER_run(task=(libgnunetutil.13.dylib`program_main at program.c:88), task_cls=0x00007ffeefbff508) at scheduler.c:727
    frame #4: 0x000000010013d305 libgnunetutil.13.dylib`GNUNET_PROGRAM_run2(argc=3, argv=0x0000000100005120, binaryName="test_testbed_api", binaryHelp="nohelp", options=0x00007ffeefbff790, task=(test_testbed_api`run at test_testbed_api.c:469), task_cls=0x0000000000000000, run_without_scheduler=0) at program.c:372
    frame #5: 0x000000010013d65a libgnunetutil.13.dylib`GNUNET_PROGRAM_run(argc=3, argv=0x0000000100005120, binaryName="test_testbed_api", binaryHelp="nohelp", options=0x00007ffeefbff790, task=(test_testbed_api`run at test_testbed_api.c:469), task_cls=0x0000000000000000) at program.c:415
    frame #6: 0x0000000100001447 test_testbed_api`main(argc=1, argv=0x00007ffeefbff828) at test_testbed_api.c:502
    frame #7: 0x00007fff612eced9 libdyld.dylib`start + 1
    frame #8: 0x00007fff612eced9 libdyld.dylib`start + 1

No idea how I get the other process logs??

schanzen

2019-02-19 13:31

developer   ~0013883

The helper also SENDS SIGTERMS. Could it be that the test process is being killed by the testbed helper?

schanzen

2019-02-19 13:39

developer   ~0013884

Attached verbose debug log.

log.txt (45,128 bytes)
Process 48572 launched: '.libs/test_testbed_api' (x86_64)
Feb 19 13:36:02-796597 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/zonemaster.conf'
Feb 19 13:36:02-797221 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/zonemaster.conf'
Feb 19 13:36:02-797279 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/peerinfo.conf'
Feb 19 13:36:02-797320 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/peerinfo.conf'
Feb 19 13:36:02-797353 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/communicator-unix.conf'
Feb 19 13:36:02-797393 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/communicator-unix.conf'
Feb 19 13:36:02-797406 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/statistics.conf'
Feb 19 13:36:02-797446 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/statistics.conf'
Feb 19 13:36:02-797473 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/pt.conf'
Feb 19 13:36:02-797523 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/pt.conf'
Feb 19 13:36:02-797574 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/cadet.conf'
Feb 19 13:36:02-797656 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/cadet.conf'
Feb 19 13:36:02-797735 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/dns.conf'
Feb 19 13:36:02-797805 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/dns.conf'
Feb 19 13:36:02-797851 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/hostlist.conf'
Feb 19 13:36:02-797894 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/hostlist.conf'
Feb 19 13:36:02-797929 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/datastore.conf'
Feb 19 13:36:02-797968 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/datastore.conf'
Feb 19 13:36:02-798003 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testbed-logger.conf'
Feb 19 13:36:02-798050 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testbed-logger.conf'
Feb 19 13:36:02-798175 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/namecache.conf'
Feb 19 13:36:02-798223 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/namecache.conf'
Feb 19 13:36:02-798256 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/template.conf'
Feb 19 13:36:02-798294 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/template.conf'
Feb 19 13:36:02-798325 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testing.conf'
Feb 19 13:36:02-798371 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testing.conf'
Feb 19 13:36:02-798391 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/auction.conf'
Feb 19 13:36:02-798443 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/auction.conf'
Feb 19 13:36:02-798475 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/dht.conf'
Feb 19 13:36:02-798528 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/dht.conf'
Feb 19 13:36:02-798572 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/set.conf'
Feb 19 13:36:02-798617 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/set.conf'
Feb 19 13:36:02-798649 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/rps.conf'
Feb 19 13:36:02-798758 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/rps.conf'
Feb 19 13:36:02-798795 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/exit.conf'
Feb 19 13:36:02-798837 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/exit.conf'
Feb 19 13:36:02-798885 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nat-auto.conf'
Feb 19 13:36:02-798926 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nat-auto.conf'
Feb 19 13:36:02-798957 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/gns.conf'
Feb 19 13:36:02-798993 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/gns.conf'
Feb 19 13:36:02-799040 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/ats.conf'
Feb 19 13:36:02-799083 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/ats.conf'
Feb 19 13:36:02-799178 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/revocation.conf'
Feb 19 13:36:02-799278 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/revocation.conf'
Feb 19 13:36:02-799313 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/vpn.conf'
Feb 19 13:36:02-799362 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/vpn.conf'
Feb 19 13:36:02-799393 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/consensus.conf'
Feb 19 13:36:02-799437 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/consensus.conf'
Feb 19 13:36:02-799460 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/regex.conf'
Feb 19 13:36:02-799501 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/regex.conf'
Feb 19 13:36:02-799520 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/util.conf'
Feb 19 13:36:02-799564 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/util.conf'
Feb 19 13:36:02-799627 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/topology.conf'
Feb 19 13:36:02-799663 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/topology.conf'
Feb 19 13:36:02-799683 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nse.conf'
Feb 19 13:36:02-799724 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nse.conf'
Feb 19 13:36:02-799759 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nat.conf'
Feb 19 13:36:02-799799 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nat.conf'
Feb 19 13:36:02-799843 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/resolver.conf'
Feb 19 13:36:02-799920 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/resolver.conf'
Feb 19 13:36:02-799947 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/rest.conf'
Feb 19 13:36:02-799987 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/rest.conf'
Feb 19 13:36:02-800007 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/scalarproduct.conf'
Feb 19 13:36:02-800130 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/scalarproduct.conf'
Feb 19 13:36:02-800170 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/fs.conf'
Feb 19 13:36:02-800219 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/fs.conf'
Feb 19 13:36:02-800285 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/arm.conf'
Feb 19 13:36:02-800361 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/arm.conf'
Feb 19 13:36:02-800411 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/namestore.conf'
Feb 19 13:36:02-800450 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/namestore.conf'
Feb 19 13:36:02-800506 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/datacache.conf'
Feb 19 13:36:02-800572 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/datacache.conf'
Feb 19 13:36:02-800590 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/core.conf'
Feb 19 13:36:02-800633 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/core.conf'
Feb 19 13:36:02-800664 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/secretsharing.conf'
Feb 19 13:36:02-800710 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/secretsharing.conf'
Feb 19 13:36:02-800740 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/identity.conf'
Feb 19 13:36:02-800784 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/identity.conf'
Feb 19 13:36:02-800815 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testbed.conf'
Feb 19 13:36:02-800870 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testbed.conf'
Feb 19 13:36:02-801002 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/transport.conf'
Feb 19 13:36:02-801063 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/transport.conf'
Feb 19 13:36:02-801322 util-48572 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/peerstore.conf'
Feb 19 13:36:02-801398 util-48572 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/peerstore.conf'
Feb 19 13:36:02-801436 util-48572 DEBUG Asked to parse config file `.gnunet/src/testbed/test_testbed_api.conf'
Feb 19 13:36:02-801490 util-48572 DEBUG Deserializing contents of file `.software/gnunet/src/testbed/test_testbed_api.conf'
Feb 19 13:36:02-801905 util-scheduler-48572 DEBUG Registering signal handlers
Feb 19 13:36:02-801921 test_testbed_api-48572 ERROR Installing signal handler 2
Feb 19 13:36:02-801943 test_testbed_api-48572 ERROR Installing signal handler 15
Feb 19 13:36:02-801948 test_testbed_api-48572 ERROR Installing signal handler 13
Feb 19 13:36:02-801952 test_testbed_api-48572 ERROR Installing signal handler 3
Feb 19 13:36:02-801956 test_testbed_api-48572 ERROR Installing signal handler 1
Feb 19 13:36:02-801965 util-scheduler-48572 DEBUG Adding task 0x100508350
Feb 19 13:36:02-801986 util-scheduler-48572 DEBUG Adding continuation task 0x100508580
Feb 19 13:36:02-801996 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-802017 util-scheduler-48572 DEBUG Running task 0x100508350
Feb 19 13:36:02-802024 util-os-priority-48572 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 19 13:36:02-802036 util-scheduler-48572 DEBUG destroying task 0x100508350
Feb 19 13:36:02-802044 util-scheduler-48572 DEBUG Running task 0x100508580
Feb 19 13:36:02-802065 util-speedup-48572 DEBUG Speed up disabled
Feb 19 13:36:02-802074 util-scheduler-48572 DEBUG Adding shutdown task 0x100508350
Feb 19 13:36:02-802662 testbed-api-hosts-48572 DEBUG Adding host with id: 0
Feb 19 13:36:02-802729 test_testbed_api-48572 DEBUG Starting HELPER process `.gnunet/build/lib//gnunet/libexec/gnunet-helper-testbed'
Feb 19 13:36:02-804590 util-scheduler-48572 DEBUG Adding task 0x101806130
Feb 19 13:36:02-804606 util-scheduler-48572 DEBUG destroying task 0x100508580
Feb 19 13:36:02-804616 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:41:02 2019
Feb 19 13:36:02-804629 util-scheduler-48572 DEBUG Running task 0x101806090
Feb 19 13:36:02-804652 test_testbed_api-48572 DEBUG Transmitted 4468 bytes to .gnunet/build/lib//gnunet/libexec/gnunet-helper-testbed
Feb 19 13:36:02-804665 util-scheduler-48572 DEBUG destroying task 0x101806090
Feb 19 13:36:02-804673 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:41:02 2019
Feb 19 13:36:02-807889 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/zonemaster.conf'
Feb 19 13:36:02-808377 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/zonemaster.conf'
Feb 19 13:36:02-808448 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/peerinfo.conf'
Feb 19 13:36:02-808494 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/peerinfo.conf'
Feb 19 13:36:02-808527 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/communicator-unix.conf'
Feb 19 13:36:02-808569 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/communicator-unix.conf'
Feb 19 13:36:02-808581 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/statistics.conf'
Feb 19 13:36:02-808618 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/statistics.conf'
Feb 19 13:36:02-808646 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/pt.conf'
Feb 19 13:36:02-808684 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/pt.conf'
Feb 19 13:36:02-808725 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/cadet.conf'
Feb 19 13:36:02-808791 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/cadet.conf'
Feb 19 13:36:02-808843 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/dns.conf'
Feb 19 13:36:02-808889 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/dns.conf'
Feb 19 13:36:02-808931 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/hostlist.conf'
Feb 19 13:36:02-808979 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/hostlist.conf'
Feb 19 13:36:02-809012 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/datastore.conf'
Feb 19 13:36:02-809048 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/datastore.conf'
Feb 19 13:36:02-809081 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testbed-logger.conf'
Feb 19 13:36:02-809133 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testbed-logger.conf'
Feb 19 13:36:02-809230 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/namecache.conf'
Feb 19 13:36:02-809274 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/namecache.conf'
Feb 19 13:36:02-809310 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/template.conf'
Feb 19 13:36:02-809345 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/template.conf'
Feb 19 13:36:02-809370 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testing.conf'
Feb 19 13:36:02-809404 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testing.conf'
Feb 19 13:36:02-809422 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/auction.conf'
Feb 19 13:36:02-809455 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/auction.conf'
Feb 19 13:36:02-809469 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/dht.conf'
Feb 19 13:36:02-809514 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/dht.conf'
Feb 19 13:36:02-809554 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/set.conf'
Feb 19 13:36:02-809600 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/set.conf'
Feb 19 13:36:02-809621 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/rps.conf'
Feb 19 13:36:02-809695 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/rps.conf'
Feb 19 13:36:02-809744 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/exit.conf'
Feb 19 13:36:02-809836 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/exit.conf'
Feb 19 13:36:02-809894 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nat-auto.conf'
Feb 19 13:36:02-809933 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nat-auto.conf'
Feb 19 13:36:02-809962 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/gns.conf'
Feb 19 13:36:02-810006 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/gns.conf'
Feb 19 13:36:02-810068 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/ats.conf'
Feb 19 13:36:02-810186 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/ats.conf'
Feb 19 13:36:02-810264 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/revocation.conf'
Feb 19 13:36:02-810315 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/revocation.conf'
Feb 19 13:36:02-810346 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/vpn.conf'
Feb 19 13:36:02-810388 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/vpn.conf'
Feb 19 13:36:02-810435 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/consensus.conf'
Feb 19 13:36:02-810490 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/consensus.conf'
Feb 19 13:36:02-810511 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/regex.conf'
Feb 19 13:36:02-810565 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/regex.conf'
Feb 19 13:36:02-810587 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/util.conf'
Feb 19 13:36:02-810661 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/util.conf'
Feb 19 13:36:02-810737 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/topology.conf'
Feb 19 13:36:02-810787 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/topology.conf'
Feb 19 13:36:02-810810 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nse.conf'
Feb 19 13:36:02-810849 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nse.conf'
Feb 19 13:36:02-810893 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nat.conf'
Feb 19 13:36:02-810935 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nat.conf'
Feb 19 13:36:02-810986 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/resolver.conf'
Feb 19 13:36:02-811056 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/resolver.conf'
Feb 19 13:36:02-811104 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/rest.conf'
Feb 19 13:36:02-811166 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/rest.conf'
Feb 19 13:36:02-811193 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/scalarproduct.conf'
Feb 19 13:36:02-811261 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/scalarproduct.conf'
Feb 19 13:36:02-811362 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/fs.conf'
Feb 19 13:36:02-811429 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/fs.conf'
Feb 19 13:36:02-811513 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/arm.conf'
Feb 19 13:36:02-811572 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/arm.conf'
Feb 19 13:36:02-811619 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/namestore.conf'
Feb 19 13:36:02-811660 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/namestore.conf'
Feb 19 13:36:02-811721 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/datacache.conf'
Feb 19 13:36:02-811760 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/datacache.conf'
Feb 19 13:36:02-811774 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/core.conf'
Feb 19 13:36:02-811813 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/core.conf'
Feb 19 13:36:02-811840 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/secretsharing.conf'
Feb 19 13:36:02-811877 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/secretsharing.conf'
Feb 19 13:36:02-811902 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/identity.conf'
Feb 19 13:36:02-811942 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/identity.conf'
Feb 19 13:36:02-811970 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testbed.conf'
Feb 19 13:36:02-812007 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testbed.conf'
Feb 19 13:36:02-812111 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/transport.conf'
Feb 19 13:36:02-812163 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/transport.conf'
Feb 19 13:36:02-812446 util-48575 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/peerstore.conf'
Feb 19 13:36:02-812507 util-48575 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/peerstore.conf'
Feb 19 13:36:02-812580 util-48575 DEBUG Asked to parse config file `..config/gnunet.conf'
Feb 19 13:36:02-812631 util-48575 DEBUG Deserializing contents of file `..config/gnunet.conf'
Feb 19 13:36:02-812697 util-scheduler-48575 DEBUG Registering signal handlers
Feb 19 13:36:02-812743 util-scheduler-48575 DEBUG Adding task 0x1007023c0
Feb 19 13:36:02-812787 util-scheduler-48575 DEBUG Adding continuation task 0x100601bb0
Feb 19 13:36:02-812805 util-scheduler-48575 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-812851 util-scheduler-48575 DEBUG Running task 0x1007023c0
Feb 19 13:36:02-812882 util-os-priority-48575 DEBUG Adding parent control handler pipe `c' to the scheduler
Feb 19 13:36:02-812893 util-scheduler-48575 DEBUG Adding shutdown task 0x100601df0
Feb 19 13:36:02-812907 util-scheduler-48575 DEBUG destroying task 0x1007023c0
Feb 19 13:36:02-812972 util-scheduler-48575 DEBUG Running task 0x100601bb0
Feb 19 13:36:02-813010 util-speedup-48575 DEBUG Speed up disabled
Feb 19 13:36:02-813021 util-scheduler-48575 DEBUG Adding shutdown task 0x100601e60
Feb 19 13:36:02-813041 gnunet-helper-testbed-48575 DEBUG Starting testbed helper...
Feb 19 13:36:02-813082 util-scheduler-48575 DEBUG Adding shutdown task 0x100601fa0
Feb 19 13:36:02-813092 util-scheduler-48575 DEBUG destroying task 0x100601bb0
Feb 19 13:36:02-813102 util-scheduler-48575 DEBUG select timeout = end of time
Feb 19 13:36:02-813120 util-scheduler-48575 DEBUG Running task 0x100601ed0
Feb 19 13:36:02-813160 gnunet-helper-testbed-48575 DEBUG Read 4468 bytes
Feb 19 13:36:02-813179 util-mst-48575 DEBUG MST receives 4468 bytes with 0 bytes already in private buffer
Feb 19 13:36:02-813189 util-mst-48575 DEBUG Server-mst has 4468 bytes left in inbound buffer
2019-02-19 13:36:02.815909+0100 gnunet-helper-testbed[48575:11842603] [si_destination_compare] send failed: Invalid argument
2019-02-19 13:36:02.815934+0100 gnunet-helper-testbed[48575:11842603] [si_destination_compare] send failed: Undefined error: 0
2019-02-19 13:36:02.815947+0100 gnunet-helper-testbed[48575:11842603] [si_destination_compare] send failed: Invalid argument
Feb 19 13:36:02-816269 testing-api-48575 DEBUG Found a free port 12032
Feb 19 13:36:02-816535 testing-api-48575 DEBUG Found a free port 12033
Feb 19 13:36:02-816813 testing-api-48575 DEBUG Found a free port 12034
Feb 19 13:36:02-817162 testing-api-48575 DEBUG Found a free port 12035
Feb 19 13:36:02-817402 testing-api-48575 DEBUG Found a free port 12036
Feb 19 13:36:02-817630 testing-api-48575 DEBUG Found a free port 12037
Feb 19 13:36:02-817821 testing-api-48575 DEBUG Found a free port 12038
Feb 19 13:36:02-818046 testing-api-48575 DEBUG Found a free port 12039
Feb 19 13:36:02-818225 testing-api-48575 DEBUG Found a free port 12040
Feb 19 13:36:02-819357 gnunet-helper-testbed-48575 DEBUG Staring testbed with config: /var/folders/mq/603h69c166s4szrpmtxmz16rkwr0f0/T//testbed-helperRHsbuc/0/config
Feb 19 13:36:02-821611 util-mst-48575 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 19 13:36:02-821630 util-scheduler-48575 DEBUG destroying task 0x100601ed0
Feb 19 13:36:02-821639 util-scheduler-48575 DEBUG select timeout = end of time
Feb 19 13:36:02-821653 util-scheduler-48575 DEBUG Running task 0x100703300
Feb 19 13:36:02-821678 util-scheduler-48575 DEBUG destroying task 0x100703300
Feb 19 13:36:02-821681 util-scheduler-48572 DEBUG Running task 0x101806020
Feb 19 13:36:02-821699 util-scheduler-48575 DEBUG select timeout = end of time
Feb 19 13:36:02-821704 test_testbed_api-48572 DEBUG Got 4592 bytes from helper `.gnunet/build/lib//gnunet/libexec/gnunet-helper-testbed'
Feb 19 13:36:02-821716 util-mst-48572 DEBUG MST receives 4592 bytes with 0 bytes already in private buffer
Feb 19 13:36:02-821724 util-mst-48572 DEBUG Server-mst has 4592 bytes left in inbound buffer
Feb 19 13:36:02-822946 util-scheduler-48572 DEBUG Adding task 0x10181f690
Feb 19 13:36:02-822980 util-mq-48572 DEBUG sending message of type 460, queue empty (MQ: 0x10181f790)
Feb 19 13:36:02-822992 util-client-48572 DEBUG message of type 460 waiting for socket
Feb 19 13:36:02-823336 testbed-api-hosts-48572 DEBUG Adding host with id: 1
Feb 19 13:36:02-824035 util-mst-48572 DEBUG Server-mst leaves 0 bytes in private buffer
Feb 19 13:36:02-824046 util-scheduler-48572 DEBUG destroying task 0x101806020
Feb 19 13:36:02-824053 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-824063 util-scheduler-48572 DEBUG Running task 0x10181f690
Feb 19 13:36:02-824491 util-resolver-api-48572 DEBUG Trying to resolve hostname `localhost'.
Feb 19 13:36:02-824510 util-scheduler-48572 DEBUG Adding task 0x10051f320
Feb 19 13:36:02-824516 util-scheduler-48572 DEBUG destroying task 0x10181f690
Feb 19 13:36:02-824525 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-824535 util-scheduler-48572 DEBUG Running task 0x10051f320
Feb 19 13:36:02-824548 util-client-48572 DEBUG Trying to connect using address `::1:12032'
Feb 19 13:36:02-824683 util-client-48572 DEBUG Trying to connect using address `127.0.0.1:12032'
Feb 19 13:36:02-824770 util-resolver-api-48572 DEBUG Finished resolving hostname `localhost'.
Feb 19 13:36:02-824784 util-scheduler-48572 DEBUG destroying task 0x10051f320
Feb 19 13:36:02-824826 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:07 2019
Feb 19 13:36:02-824841 util-scheduler-48572 DEBUG Running task 0x100513bc0
Feb 19 13:36:02-824866 util-scheduler-48572 DEBUG destroying task 0x100513bc0
Feb 19 13:36:02-824875 util-scheduler-48572 DEBUG Running task 0x100700990
Feb 19 13:36:02-824888 util-client-48572 DEBUG Failed to establish connection to `testbed', no further addresses to try, will try again in 2 ms.
Feb 19 13:36:02-824895 util-scheduler-48572 DEBUG Adding task 0x100700a00
Feb 19 13:36:02-824901 util-scheduler-48572 DEBUG destroying task 0x100700990
Feb 19 13:36:02-824908 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-824734 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/zonemaster.conf'
Feb 19 13:36:02-825276 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/zonemaster.conf'
Feb 19 13:36:02-825343 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/peerinfo.conf'
Feb 19 13:36:02-825388 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/peerinfo.conf'
Feb 19 13:36:02-825424 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/communicator-unix.conf'
Feb 19 13:36:02-825463 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/communicator-unix.conf'
Feb 19 13:36:02-825473 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/statistics.conf'
Feb 19 13:36:02-825556 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/statistics.conf'
Feb 19 13:36:02-825597 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/pt.conf'
Feb 19 13:36:02-825643 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/pt.conf'
Feb 19 13:36:02-825663 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/cadet.conf'
Feb 19 13:36:02-825714 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/cadet.conf'
Feb 19 13:36:02-825757 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/dns.conf'
Feb 19 13:36:02-825798 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/dns.conf'
Feb 19 13:36:02-825836 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/hostlist.conf'
Feb 19 13:36:02-825871 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/hostlist.conf'
Feb 19 13:36:02-825905 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/datastore.conf'
Feb 19 13:36:02-825943 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/datastore.conf'
Feb 19 13:36:02-825980 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testbed-logger.conf'
Feb 19 13:36:02-826024 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testbed-logger.conf'
Feb 19 13:36:02-826116 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/namecache.conf'
Feb 19 13:36:02-826157 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/namecache.conf'
Feb 19 13:36:02-826189 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/template.conf'
Feb 19 13:36:02-826225 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/template.conf'
Feb 19 13:36:02-826251 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testing.conf'
Feb 19 13:36:02-826289 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testing.conf'
Feb 19 13:36:02-826307 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/auction.conf'
Feb 19 13:36:02-826346 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/auction.conf'
Feb 19 13:36:02-826364 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/dht.conf'
Feb 19 13:36:02-826397 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/dht.conf'
Feb 19 13:36:02-826422 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/set.conf'
Feb 19 13:36:02-826458 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/set.conf'
Feb 19 13:36:02-826478 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/rps.conf'
Feb 19 13:36:02-826517 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/rps.conf'
Feb 19 13:36:02-826548 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/exit.conf'
Feb 19 13:36:02-826584 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/exit.conf'
Feb 19 13:36:02-826646 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nat-auto.conf'
Feb 19 13:36:02-826687 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nat-auto.conf'
Feb 19 13:36:02-826719 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/gns.conf'
Feb 19 13:36:02-826822 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/gns.conf'
Feb 19 13:36:02-826870 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/ats.conf'
Feb 19 13:36:02-826914 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/ats.conf'
Feb 19 13:36:02-826945 util-scheduler-48572 DEBUG Running task 0x100700a00
Feb 19 13:36:02-826956 util-resolver-api-48572 DEBUG Trying to resolve hostname `localhost'.
Feb 19 13:36:02-826964 util-scheduler-48572 DEBUG Adding task 0x1006034e0
Feb 19 13:36:02-826970 util-scheduler-48572 DEBUG destroying task 0x100700a00
Feb 19 13:36:02-826979 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-826989 util-scheduler-48572 DEBUG Running task 0x1006034e0
Feb 19 13:36:02-826997 util-client-48572 DEBUG Trying to connect using address `::1:12032'
Feb 19 13:36:02-826997 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/revocation.conf'
Feb 19 13:36:02-827040 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/revocation.conf'
Feb 19 13:36:02-827061 util-client-48572 DEBUG Trying to connect using address `127.0.0.1:12032'
Feb 19 13:36:02-827094 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/vpn.conf'
Feb 19 13:36:02-827127 util-resolver-api-48572 DEBUG Finished resolving hostname `localhost'.
Feb 19 13:36:02-827142 util-scheduler-48572 DEBUG destroying task 0x1006034e0
Feb 19 13:36:02-827154 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/vpn.conf'
Feb 19 13:36:02-827160 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:07 2019
Feb 19 13:36:02-827177 util-scheduler-48572 DEBUG Running task 0x100603550
Feb 19 13:36:02-827184 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/consensus.conf'
Feb 19 13:36:02-827199 util-scheduler-48572 DEBUG destroying task 0x100603550
Feb 19 13:36:02-827211 util-scheduler-48572 DEBUG Running task 0x10181f690
Feb 19 13:36:02-827226 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/consensus.conf'
Feb 19 13:36:02-827231 util-client-48572 DEBUG Failed to establish connection to `testbed', no further addresses to try, will try again in 4 ms.
Feb 19 13:36:02-827239 util-scheduler-48572 DEBUG Adding task 0x101806020
Feb 19 13:36:02-827246 util-scheduler-48572 DEBUG destroying task 0x10181f690
Feb 19 13:36:02-827248 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/regex.conf'
Feb 19 13:36:02-827254 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-827282 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/regex.conf'
Feb 19 13:36:02-827303 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/util.conf'
Feb 19 13:36:02-827343 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/util.conf'
Feb 19 13:36:02-827404 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/topology.conf'
Feb 19 13:36:02-827446 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/topology.conf'
Feb 19 13:36:02-827473 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nse.conf'
Feb 19 13:36:02-827521 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nse.conf'
Feb 19 13:36:02-827572 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/nat.conf'
Feb 19 13:36:02-827620 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/nat.conf'
Feb 19 13:36:02-827723 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/resolver.conf'
Feb 19 13:36:02-827788 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/resolver.conf'
Feb 19 13:36:02-827815 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/rest.conf'
Feb 19 13:36:02-827852 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/rest.conf'
Feb 19 13:36:02-827875 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/scalarproduct.conf'
Feb 19 13:36:02-827912 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/scalarproduct.conf'
Feb 19 13:36:02-827944 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/fs.conf'
Feb 19 13:36:02-827991 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/fs.conf'
Feb 19 13:36:02-828071 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/arm.conf'
Feb 19 13:36:02-828112 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/arm.conf'
Feb 19 13:36:02-828156 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/namestore.conf'
Feb 19 13:36:02-828200 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/namestore.conf'
Feb 19 13:36:02-828270 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/datacache.conf'
Feb 19 13:36:02-828324 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/datacache.conf'
Feb 19 13:36:02-828341 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/core.conf'
Feb 19 13:36:02-828377 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/core.conf'
Feb 19 13:36:02-828407 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/secretsharing.conf'
Feb 19 13:36:02-828452 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/secretsharing.conf'
Feb 19 13:36:02-828484 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/identity.conf'
Feb 19 13:36:02-828528 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/identity.conf'
Feb 19 13:36:02-828558 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/testbed.conf'
Feb 19 13:36:02-828619 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/testbed.conf'
Feb 19 13:36:02-828724 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/transport.conf'
Feb 19 13:36:02-828789 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/transport.conf'
Feb 19 13:36:02-828967 util-48576 DEBUG Asked to parse config file `.gnunet/build/share/gnunet/config.d/peerstore.conf'
Feb 19 13:36:02-829015 util-48576 DEBUG Deserializing contents of file `.gnunet/build/share/gnunet/config.d/peerstore.conf'
Feb 19 13:36:02-829061 util-48576 DEBUG Asked to parse config file `/var/folders/mq/603h69c166s4szrpmtxmz16rkwr0f0/T//testbed-helperRHsbuc/0/config'
Feb 19 13:36:02-829148 util-48576 DEBUG Deserializing contents of file `/var/folders/mq/603h69c166s4szrpmtxmz16rkwr0f0/T//testbed-helperRHsbuc/0/config'
Feb 19 13:36:02-830735 util-service-48576 DEBUG Server starts to listen on port 12032.
Feb 19 13:36:02-830769 util-service-48576 DEBUG Server starts to listen on port 12032.
Feb 19 13:36:02-830810 util-48576 DEBUG Failed to retrieve filename
Feb 19 13:36:02-830822 util-service-48576 DEBUG Service `testbed' runs with configuration from `/var/folders/mq/603h69c166s4szrpmtxmz16rkwr0f0/T//testbed-helperRHsbuc/0/config'
Feb 19 13:36:02-830860 util-scheduler-48576 DEBUG Registering signal handlers
Feb 19 13:36:02-830874 testbed-48576 ERROR Installing signal handler 2
Feb 19 13:36:02-830881 testbed-48576 ERROR Installing signal handler 15
Feb 19 13:36:02-830888 testbed-48576 ERROR Installing signal handler 13
Feb 19 13:36:02-830894 testbed-48576 ERROR Installing signal handler 3
Feb 19 13:36:02-830900 testbed-48576 ERROR Installing signal handler 1
Feb 19 13:36:02-830911 util-scheduler-48576 DEBUG Adding task 0x100609860
Feb 19 13:36:02-830928 util-scheduler-48576 DEBUG Adding continuation task 0x100609a90
Feb 19 13:36:02-830938 util-scheduler-48576 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-830960 util-scheduler-48576 DEBUG Running task 0x100609860
Feb 19 13:36:02-830969 util-os-priority-48576 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty
Feb 19 13:36:02-830981 util-scheduler-48576 DEBUG destroying task 0x100609860
Feb 19 13:36:02-830987 util-scheduler-48576 DEBUG Running task 0x100609a90
Feb 19 13:36:02-830993 util-scheduler-48576 DEBUG Adding shutdown task 0x100609860
Feb 19 13:36:02-831006 testbed-48576 DEBUG Starting testbed
Feb 19 13:36:02-831018 util-48576 DEBUG Failed to retrieve filename
Feb 19 13:36:02-831337 util-scheduler-48572 DEBUG Running task 0x101806020
Feb 19 13:36:02-831384 util-resolver-api-48572 DEBUG Trying to resolve hostname `localhost'.
Feb 19 13:36:02-831395 util-scheduler-48572 DEBUG Adding task 0x10182b160
Feb 19 13:36:02-831401 util-scheduler-48572 DEBUG destroying task 0x101806020
Feb 19 13:36:02-831409 util-scheduler-48572 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-831419 util-scheduler-48572 DEBUG Running task 0x10182b160
Feb 19 13:36:02-831426 util-client-48572 DEBUG Trying to connect using address `::1:12032'
Feb 19 13:36:02-831450 util-scheduler-48575 DEBUG select timeout = end of time
Feb 19 13:36:02-831467 util-scheduler-48575 DEBUG Running task 0x100703190
Feb 19 13:36:02-831477 gnunet-helper-testbed-48575 DEBUG Got SIGCHLD
Feb 19 13:36:02-831485 util-client-48572 DEBUG Trying to connect using address `127.0.0.1:12032'
Feb 19 13:36:02-831529 util-scheduler-48575 DEBUG destroying task 0x100703190
Feb 19 13:36:02-831559 util-scheduler-48575 DEBUG select timeout = end of time
Feb 19 13:36:02-831571 util-scheduler-48575 DEBUG Running task 0x100601970
Feb 19 13:36:02-831590 util-scheduler-48575 DEBUG GNUNET_SCHEDULER_shutdown
Feb 19 13:36:02-831601 util-scheduler-48575 DEBUG destroying task 0x100601970
Feb 19 13:36:02-831609 util-scheduler-48575 DEBUG scheduler has more tasks ready!
Feb 19 13:36:02-831616 util-scheduler-48575 DEBUG select timeout = Tue Feb 19 13:36:02 2019
Feb 19 13:36:02-831627 util-scheduler-48575 DEBUG Running task 0x100601df0
Feb 19 13:36:02-831635 util-scheduler-48575 DEBUG canceling task 0x100601d50
Feb 19 13:36:02-831652 util-scheduler-48575 DEBUG destroying task 0x100601d50
Feb 19 13:36:02-831665 util-scheduler-48575 DEBUG destroying task 0x100601df0
Feb 19 13:36:02-831671 util-scheduler-48575 DEBUG Running task 0x100601e60
Feb 19 13:36:02-831677 util-scheduler-48575 DEBUG destroying task 0x100601e60
Feb 19 13:36:02-831683 util-scheduler-48575 DEBUG Running task 0x100601fa0
Feb 19 13:36:02-831690 gnunet-helper-testbed-48575 DEBUG Shutting down
Feb 19 13:36:02-831698 util-scheduler-48575 DEBUG canceling task 0x100702350
Feb 19 13:36:02-831704 util-scheduler-48575 DEBUG destroying task 0x100702350
Feb 19 13:36:02-832304 util-scheduler-48575 DEBUG destroying task 0x100601fa0
Feb 19 13:36:02-832320 util-scheduler-48575 DEBUG GNUNET_SCHEDULER_shutdown
Feb 19 13:36:02-832326 util-scheduler-48575 DEBUG canceling task 0x102007f40
Feb 19 13:36:02-832332 util-scheduler-48575 DEBUG destroying task 0x102007f40
Feb 19 13:36:02-832340 gnunet-helper-testbed-48575 ERROR Uninstalling signal handler 2
Feb 19 13:36:02-832347 gnunet-helper-testbed-48575 ERROR Uninstalling signal handler 15
Feb 19 13:36:02-832353 gnunet-helper-testbed-48575 ERROR Uninstalling signal handler 13
Feb 19 13:36:02-832360 gnunet-helper-testbed-48575 ERROR Uninstalling signal handler 3
Feb 19 13:36:02-832366 gnunet-helper-testbed-48575 ERROR Uninstalling signal handler 1
Feb 19 13:36:02-832647 gnunet-helper-testbed-48575 ERROR Uninstalling signal handler 20
Process 48572 stopped
log.txt (45,128 bytes)

schanzen

2019-02-19 13:40

developer   ~0013885

Is this ok?

util-os-priority-48576 DEBUG Not installing a handler because $GNUNET_OS_CONTROL_PIPE is empty

Christian Grothoff

2019-02-19 13:54

manager   ~0013886

0005581:0013885: yes, this does happen on GNU/Linux as well.

Christian Grothoff

2019-02-19 13:55

manager   ~0013887

This is weird though:
2019-02-19 13:19:59.680655+0100 gnunet-helper-testbed[47986:11821510] [si_destination_compare] send failed: Invalid argument
2019-02-19 13:19:59.680947+0100 gnunet-helper-testbed[47986:11821510] [si_destination_compare] send failed: Undefined error: 0
2019-02-19 13:19:59.680979+0100 gnunet-helper-testbed[47986:11821510] [si_destination_compare] send failed: Invalid argument

schanzen

2019-02-20 08:49

reporter   ~0013891

I _think_ this warning is benign. The net also knows very little about it.
I also think that we mustn't look too deeply into util and its signal handling. If that was a fundamental problem with signal handling, any GNUNET_PROCESS_run would have this problem.
But it is limited to testbed. So it must either be the helper or the service.

schanzen

2019-07-23 13:54

reporter   ~0014724

Fixed in 2dbe442005401656c73b3432b5798219fa8b5432

Issue History

Date Modified Username Field Change
2019-02-16 22:26 schanzen New Issue
2019-02-17 22:50 schanzen Note Added: 0013856
2019-02-18 22:39 schanzen Note Added: 0013862
2019-02-18 22:39 schanzen Category cadet service => testbed service
2019-02-18 22:39 schanzen Summary Cadet tests fail hard on macOS => Cadet tests fail hard on macOS (TESTBED issue)
2019-02-18 22:40 schanzen Note Added: 0013863
2019-02-19 00:54 Christian Grothoff Note Added: 0013864
2019-02-19 08:16 schanzen Note Added: 0013866
2019-02-19 08:31 schanzen Note Added: 0013867
2019-02-19 08:33 schanzen Note Added: 0013868
2019-02-19 08:52 schanzen Note Added: 0013869
2019-02-19 11:07 Christian Grothoff Note Added: 0013875
2019-02-19 11:10 Christian Grothoff Note Added: 0013876
2019-02-19 11:15 Christian Grothoff Note Added: 0013877
2019-02-19 11:17 Christian Grothoff Note Added: 0013878
2019-02-19 12:34 schanzen Note Added: 0013879
2019-02-19 12:39 schanzen Note Added: 0013880
2019-02-19 12:40 schanzen Note Edited: 0013880 View Revisions
2019-02-19 12:48 Christian Grothoff Note Added: 0013881
2019-02-19 13:22 schanzen Note Added: 0013882
2019-02-19 13:31 schanzen Note Added: 0013883
2019-02-19 13:39 schanzen File Added: log.txt
2019-02-19 13:39 schanzen Note Added: 0013884
2019-02-19 13:40 schanzen Note Added: 0013885
2019-02-19 13:54 Christian Grothoff Note Added: 0013886
2019-02-19 13:55 Christian Grothoff Note Added: 0013887
2019-02-20 08:49 schanzen Note Added: 0013891
2019-02-23 13:03 schanzen Product Version => SVN HEAD
2019-02-23 13:03 schanzen Target Version => 0.11.1
2019-04-03 12:15 Christian Grothoff Target Version 0.11.1 =>
2019-07-23 13:54 schanzen Assigned To => schanzen
2019-07-23 13:54 schanzen Status new => resolved
2019-07-23 13:54 schanzen Resolution open => fixed
2019-07-23 13:54 schanzen Fixed in Version => 0.11.6
2019-07-23 13:54 schanzen Note Added: 0014724
2019-07-24 00:01 schanzen Status resolved => feedback
2019-07-24 00:01 schanzen Resolution fixed => reopened
2019-07-24 00:01 schanzen Status feedback => resolved
2019-07-24 00:01 schanzen Resolution reopened => fixed
2019-07-24 00:01 schanzen Target Version => 0.11.6
2019-07-24 20:42 Christian Grothoff Status resolved => closed